
public interface Interface24 {

   int[] method112(int var1, float var2, int var3, int var4, boolean var5);

   Class161 method113(int var1, int var2);

   float[] method114(int var1, float var2, int var3, int var4, boolean var5);

   int[] method115(int var1, float var2, int var3, int var4, boolean var5, short var6);

   float[] method116(int var1, float var2, int var3, int var4, boolean var5, byte var6);

   int method99(int var1);

   void method117(byte var1);

   int method83();

   boolean method118(int var1, Class557 var2, float var3, int var4, int var5, boolean var6);

   boolean method119(int var1, Class557 var2, float var3, int var4, int var5, boolean var6, int var7);

   boolean method120(int var1, Class557 var2, float var3, int var4, int var5, boolean var6);

   boolean method121(int var1, Class557 var2, float var3, int var4, int var5, boolean var6);

   Class161 method122(int var1);

   Class161 method123(int var1);

   void method124();

   int[] method125(int var1, float var2, int var3, int var4, boolean var5);

   int[] method126(int var1, float var2, int var3, int var4, boolean var5);

   int[] method127(int var1, float var2, int var3, int var4, boolean var5, int var6);

   int[] method128(int var1, float var2, int var3, int var4, boolean var5);

   float[] method129(int var1, float var2, int var3, int var4, boolean var5);

   boolean method130(int var1, Class557 var2, float var3, int var4, int var5, boolean var6);

   float[] method131(int var1, float var2, int var3, int var4, boolean var5);
}
